『mysql57-client』がportupgradeでアップデート出来ない

『『mysql57-client』がportupgradeでアップデート出来ない』と言う問題が発生。

port絡みの問題ってのは、私の場合はしばらく放っておくと言う対応を取るのが通常で、バージョンが上がるとすんなりアップデートが出来たりする事が多かったりする。が、今回はバージョンが2個以上上がったにも関わらずアップデートが出来ない状況に陥っていたので、対策を検索してみた。

https://forums.freebsd.org/threads/61684/

まぁ、色々と書いてあるんだが、要は『openldap24-client』を『GSSAPI』オプション無し(デフォルト状態)でインストールすれば良いって話だ。

cd /usr/ports/net/openldap24-client
make config-recursive
make install clean && rehash

後は『mysql57-client』を含めた色々をアップデートしてやれば良い。

portupgrade -a

 

私の場合、サーバが貧弱の為に初期のインストール作業にpkgコマンドを使ったんですな。その後の更新作業には、最新パッケージが扱えるportsでアップデートを繰り返す事になるんだが、その辺で色々と必要なpackageが掛けていたのかもしれない。

pkgを使うなら、とことんpkgコマンドを使ってればこういった問題は発生しなかったのかもしれないが・・・
(やはり現状では、pkgコマンドに寄るインストールって好きになれないんだよな)

 

コメントを残す

日本語が含まれない投稿は無視されますのでご注意ください。(スパム対策)